dbXML API

## org.dbxml.core.query
Class NodeListSet

    java.lang.Object
      |
      +--org.dbxml.core.query.NodeListSet

All Implemented Interfaces:
  NodeSet

public final class NodeListSet
extends java.lang.Object
implements NodeSet

NodeListSet is a simple NodeList wrapper

Field Summary
`int` `idx`
`org.w3c.dom.NodeList` `list`

Constructor Summary
`NodeListSet(org.w3c.dom.NodeList list)`

Method Summary
`org.w3c.dom.Node` `getNextNode()` getNextNode returns the next Node from the NodeSet.
`boolean` `hasMoreNodes()` hasMoreNodes returns whether or not there are any Nodes remaining in the NodeSet.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    public org.w3c.dom.NodeList list

### idx

    public int idx

Constructor Detail

### NodeListSet

    public NodeListSet(org.w3c.dom.NodeList list)

Method Detail

### hasMoreNodes

    public boolean hasMoreNodes()

  Description copied from interface: `NodeSet`
  hasMoreNodes returns whether or not there are any Nodes remaining in the NodeSet.
  Specified by:
    `hasMoreNodes` in interface `NodeSet`
  Following copied from interface: `org.dbxml.core.data.NodeSet`
  Returns:
    Whether there are any more Nodes

### getNextNode

    public org.w3c.dom.Node getNextNode()

  Description copied from interface: `NodeSet`
  getNextNode returns the next Node from the NodeSet.
  Specified by:
    `getNextNode` in interface `NodeSet`
  Following copied from interface: `org.dbxml.core.data.NodeSet`
  Returns:
    The next Node

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved